<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Новая зона';
require_once('conf/head.php');
require_once('conf/top.php'); 
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();
echo'<center><p class="name"><span class="net">Новая Зона</span></p></center>';
switch($_GET[dib]){
default:
$max_hpm = ($user['lvl'] * $user['zonas_monstr'] * 500);
$hpm=rand(0, $max_hpm);
if($user['zonas_monstr'] == '1'){$name='Псевдо-пес' and $opis='псевдо-псов' and  $img='1.png';} 
elseif($user['zonas_monstr'] == '2'){$name='Плоть' and $opis='плоти' and  $img='2.png';} 
elseif($user['zonas_monstr'] == '3'){$name='Снорк' and $opis='снорков'  and  $img='3.png';} 
elseif($user['zonas_monstr'] == '4'){$name='Кабан' and $opis='кабанов'  and  $img='4.png';} 
elseif($user['zonas_monstr'] == '5'){$name='Кровосос' and $opis='кровососов'  and  $img='5.png';} 
elseif($user['zonas_monstr'] == '6'){$name='Слепой пес' and $opis='слепых псов'  and  $img='6.png';} 
if($user['zonas_loc'] == 'baza'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">База Чистого неба</p></center>
<center><img src="img/location/1.jpg" /></center>
<center><a href="baza_chn.php" class="menu"><img src="img/ico/up.png" /> Войти</a></center>
<p style="border-top: solid 1px #444e4f;"></p>
<p><a href="cross.php?l=3" class="prof"><img src="img/ico/topleft.png"/> Сгоревший хутор</a></p>
<p><a href="cross.php?l=4" class="prof"><img src="img/ico/right.png"/> Земснаряд</a></p>
<p><a href="cross.php?l=2" class="prof"><img src="img/ico/bottomleft.png"/> Шевченко</a></p>
<p><a href="cross.php?l=5" class="prof"><img src="img/ico/bottomright.png"/> Портовые краны</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
elseif($user['zonas_loc'] =='shevchenkovo'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">Шевченко</p></center>
<?php
if($user['zonas'] =='0'){
?>
<center><img src="img/location/2.jpg" /></center>
<p style="border-top: solid 1px #444e4f"></p>
<a href="zonas.php?dib=true" class="prof"><img src="img/ico/ohotniki.gif"> Напасть на мутантов</a>
<p style="border-top: solid 1px #444e4f"></p>
<p><a href="cross.php?l=1" class="prof"><img src="img/ico/topright.png"/> Скадовск</a></p>
<p><a href="cross.php?l=6" class="prof"><img src="img/ico/left.png"/> Изумрудное</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
else{
echo'<div class="stats">
<center><p class="podmenu">'.$name.'</p></center>
<p><center><img src="img/monster/'.$img.'"></center></p>
</div>
<p class="red">На вас напали мутанты. Осталось еще <span class="bonus">'.$user[zonas].' '.$opis.'</span></p>
<p><img src="img/ico/life.png" width="12" height="12" /> Здоровье мутанта: '.$hpm.'/'.$max_hpm.'</p>
<p class="podmenu">Стрелять:</p>
<a href="boi.php?tip=1" class="prof">Из пистолета</a>
<a href="boi.php?tip=2" class="prof">Из автомата</a>
<p style="border-top: solid 1px #444e4f;"></p>';
}
}
elseif($user['zonas_loc'] =='hutor'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">Сгоревший хутор</p></center>
<center><img src="img/location/3.jpg" /></center>
<div class="stats">
<center><p><a href="art_p.php" class="prof"><img src="img/artefact/kolobok.gif" width="16" height="16" /> Искать артефакты</a></p></center>
</div>
<p><a href="cross.php?l=1" class="prof"><img src="img/ico/bottomright.png"/> Скадовск</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
elseif($user['zonas_loc'] =='zemsnaryad'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">Земснаряд</p></center>
<center><img src="img/location/4.jpg" /></center>
<p style="border-top: solid 1px #444e4f;"></p>
<p><a href="cross.php?l=1" class="prof"><img src="img/ico/left.png"/> Скадовск</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
elseif($user['zonas_loc'] =='port_kran'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">Портовые краны</p></center>
<?php
if($user['zonas'] =='0'){
?>
<center><img src="img/location/5.jpg" /></center>
<p style="border-top: solid 1px #444e4f"></p>
<a href="zonas.php?dib=true" class="prof"><img src="img/ico/ohotniki.gif"> Напасть на мутантов</a>
<p style="border-top: solid 1px #444e4f"></p>
<p><a href="cross.php?l=1" class="prof"><img src="img/ico/topleft.png"/> Скадовск</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
else{
echo'<div class="stats">
<center><p class="podmenu">'.$name.'</p></center>
<p><center><img src="img/monster/'.$img.'"></center></p>
</div>
<p class="red">На вас напали мутанты. Осталось еще <span class="bonus">'.$user[zonas].' '.$opis.'</span></p>
<p><img src="img/ico/life.png" width="12" height="12" /> Здоровье мутанта: '.$hpm.'/'.$max_hpm.'</p>
<p class="podmenu">Стрелять:</p>
<a href="boi.php?tip=1" class="prof">Из пистолета</a>
<a href="boi.php?tip=2" class="prof">Из автомата</a>
<p style="border-top: solid 1px #444e4f;"></p>';
}
}
elseif($user['zonas_loc'] =='izumrudnoe'){
?>
<center><p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;">Изумрудное</p></center>
<?php
if($user['zonas'] =='0'){
?>
<center><img src="img/location/6.jpg" /></center>
<p style="border-top: solid 1px #444e4f"></p>
<a href="zonas.php?dib=true" class="prof"><img src="img/ico/ohotniki.gif"> Напасть на мутантов</a>
<p style="border-top: solid 1px #444e4f"></p>
<p><a href="cross.php?l=2" class="prof"><img src="img/ico/right.png"/> Шевченко</a></p>
<p style="border-top: solid 1px #444e4f;"></p>
<?php
}
else{
echo'<div class="stats">
<center><p class="podmenu">'.$name.'</p></center>
<p><center><img src="img/monster/'.$img.'"></center></p>
</div>
<p class="red">На вас напали мутанты. Осталось еще <span class="bonus">'.$user[zonas].' '.$opis.'</span></p>
<p><img src="img/ico/life.png" width="12" height="12" /> Здоровье мутанта: '.$hpm.'/'.$max_hpm.'</p>
<p class="podmenu">Стрелять:</p>
<a href="boi.php?tip=1" class="prof">Из пистолета</a>
<a href="boi.php?tip=2" class="prof">Из автомата</a>
<p style="border-top: solid 1px #444e4f;"></p>';
}
}
break;
case 'true':
$monster =rand(1, 6);  
$chislo = rand(1, 6); 
$dbc->query("UPDATE `users` SET  `zonas` = '$chislo', `zonas_monstr` = '$monster'  WHERE `id` ='".$user_id."' LIMIT 1");
header('location: zonas.php');
break;
}
  require_once('conf/navig.php');
    require_once('conf/foot.php');
	mysqli_close($dbc);
  ?>
</body>
</html>